[CalendarServer-changes] [7371] CalendarServer/branches/users/glyph/misc-portability-fixes/support/ build.sh

source_changes at macosforge.org source_changes at macosforge.org
Wed Apr 27 11:44:59 PDT 2011


Revision: 7371
          http://trac.macosforge.org/projects/calendarserver/changeset/7371
Author:   glyph at apple.com
Date:     2011-04-27 11:44:59 -0700 (Wed, 27 Apr 2011)
Log Message:
-----------
conditionally build openldap if it (or its development headers) don't appear to be installed

Modified Paths:
--------------
    CalendarServer/branches/users/glyph/misc-portability-fixes/support/build.sh

Modified: CalendarServer/branches/users/glyph/misc-portability-fixes/support/build.sh
===================================================================
--- CalendarServer/branches/users/glyph/misc-portability-fixes/support/build.sh	2011-04-27 18:44:52 UTC (rev 7370)
+++ CalendarServer/branches/users/glyph/misc-portability-fixes/support/build.sh	2011-04-27 18:44:59 UTC (rev 7371)
@@ -29,6 +29,12 @@
   fi;
 }
 
+find_header () {
+  local sysheader="$1"; shift;
+  echo "#include <${sysheader}>" | cc -x c -c - 2> /dev/null;
+  return "$?";
+}
+
 # Initialize all the global state required to use this library.
 init_build () {
         verbose="";
@@ -572,6 +578,13 @@
     :;
   fi;
 
+  if ! find_header ldap.h; then
+    c_dependency -m "ec63f9c2add59f323a0459128846905b" \
+      "OpenLDAP" "openldap-2.4.25" \
+      "http://www.openldap.org/software/download/OpenLDAP/openldap-release/openldap-2.4.25.tgz" \
+      --disable-bdb --disable-hdb;
+  fi;
+
   #
   # Python dependencies
   #
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20110427/03e9c0a8/attachment.html>


More information about the calendarserver-changes mailing list